# @TODO use Ansible vault for secret and some credentials values
aria:
  containerized: true
  rpc:
    enabled: false
    listen_all: true
    scheme: http
    hostname: localhost
    port: 6800
    secret: ~
    credentials: ~
  # dest: "{{ ansible_user_home.stdout }}/downloads/aria2"
  log: warn
  alloc: falloc # choices are "falloc", "prealloc", "trunc", or "none"
  dcache: 64M
  conn:
    # netrc:
    #   path: "{{ ansible_user_home.stdout }}/.netrc"
    max:
      attempts: 3
      per_server: 3
    split: 6
    proxy:
      enabled: true
      uri: "localhost:9050"
      excluded:
        - "127.0.0.1"
        - "::1"
  dl:
    max:
      concurrent: 30
    resume: true
    overwriting: true
    autorenaming: true
    # stats:
    #   path: "{{ ansible_user_home.stdout }}/.aria2/dl.log"
    algorithm: adaptive # choices are "inorder", "feedback", "adaptive"
  ul:
    max:
      overall: 5M
      per_entry: 0
  http:
    gzip: true
    cache: false
    sustain: true
    agent: "Mozilla/5.0 (X11; Linux x86_64; rv:140.0) Gecko/20100101 Firefox/140.0"
  ftp:
    mode: passive # choices are "passive" or "active"
    data_type: binary # choices are "binary" or "ascii"
  trnt:
    dht:
      enabled: true
      port: 6881-6999
      entrypoint: ~
      # path: "{{ ansible_user_home.stdout }}/.aria2/dht.dat"
      # path6: "{{ ansible_user_home.stdout }}/.aria2/dht6.dat"
    local_discovery: true
    encrypt: true
    peers:
      agent: "Deluge 1.3.15"
      prefix: "-DE13F0-"
      max: 100
      exchange: true
    seeding:
      ratio: 2.0
      time: 0
    trackers:
      - http://1337.abcvg.info:80/announce
      - http://bt1.archive.org:6969/announce
      - http://ipv4announce.sktorrent.eu:6969/announce
      - http://nyaa.tracker.wf:7777/announce
      - http://torrentsmd.com:8080/announce
      - http://tracker.bt4g.com:2095/announce
      - http://tracker.dhitechnical.com:6969/announce
      - http://tracker.mywaifu.best:6969/announce
      - http://tracker.renfei.net:8080/announce
      - http://tracker.waaa.moe:6969/announce
      - http://tracker.xn--djrq4gl4hvoi.top:80/announce
      - http://www.wareztorrent.com:80/announce
      - https://021912.xyz:443/announce
      - https://1337.abcvg.info:443/announce
      - https://banananetwork.qzz.io:443/announce
      - https://orgtgju.org:443/announce
      - https://t.213891.xyz:443/announce
      - https://torrents.tmtime.dev:443/announce
      - https://tr.abiir.top:443/announce
      - https://tr.nyacat.pw:443/announce
      - https://tr.zukizuki.org:443/announce
      - https://tracker.7471.top:443/announce
      - https://tracker.anibt.net:443/announce
      - https://tracker.gcrenwp.top:443/announce
      - https://tracker.kuroy.me:443/announce
      - https://tracker.leechshield.link:443/announce
      - https://tracker.manager.v6.navy:443/announce
      - https://tracker.nekomi.cn:443/announce
      - https://tracker.pmman.tech:443/announce
      - https://tracker.zhuqiy.com:443/announce
      - https://tracker1.520.jp:443/announce
      - udp://anime-tracker.aruku.kro.kr:8081/announce
      - udp://bittorrent-tracker.e-n-c-r-y-p-t.net:1337/announce
      - udp://coeus.torrentonline.cc:42069/announce
      - udp://evan.im:6969/announce
      - udp://mail.segso.net:6969/announce
      - udp://martin-gebhardt.eu:25/announce
      - udp://ns575949.ip-51-222-82.net:6969/announce
      - udp://open.demonii.com:1337/announce
      - udp://open.ftorrent.com:443/announce
      - udp://open.stealth.si:80/announce
      - udp://open.tracker.ink:6969/announce
      - udp://opentor.org:2710/announce
      - udp://p4p.arenabg.com:1337/announce
      - udp://seedpeer.net:6969/announce
      - udp://t.overflow.biz:6969/announce
      - udp://torrentclub.online:1984/announce
      - udp://tracker-udp.gbitt.info:80/announce
      - udp://tracker.004430.xyz:1337/announce
      - udp://tracker.aruku.ovh:8081/announce
      - udp://tracker.auctor.tv:6969/announce
      - udp://tracker.bittor.pw:1337/announce
      - udp://tracker.bluefrog.pw:2710/announce
      - udp://tracker.breizh.pm:6969/announce
      - udp://tracker.corpscorp.online:80/announce
      - udp://tracker.dler.com:6969/announce
      - udp://tracker.ducks.party:1984/announce
      - udp://tracker.gmi.gd:6969/announce
      - udp://tracker.hismz.cn:6969/announce
      - udp://tracker.opentorrent.top:6969/announce
      - udp://tracker.opentrackr.org:1337/announce
      - udp://tracker.peerfect.org:6969/announce
      - udp://tracker.publictracker.xyz:6969/announce
      - udp://tracker.qu.ax:6969/announce
      - udp://tracker.skyts.net:6969/announce
      - udp://tracker.t-1.org:6969/announce
      - udp://tracker.teambelgium.net:6969/announce
      - udp://tracker.torrent.eu.org:451/announce
      - udp://tracker.trackarr.org:6969/announce
      - udp://tracker.tryhackx.org:6969/announce
      - udp://tracker.wildkat.net:6969/announce
      - udp://yuptracker-eu.gaijinent.com:27022/announce
      - udp://zer0day.ch:1337/announce
      - wss://tracker.openwebtorrent.com:443/announce
  meta:
    follow: mem
    lang: en
    protocol_pref: ftp # choices are "ftp", "http", "https"
    locs: []